Determine administrative needs for tech-mgt
Closed, ResolvedPublic

Description

Work breakdown

  • Identify menu of possible services
  • Brown-bag or other means to explain services

(These two are somewhat intertwineed and may need to happen cyclically.)

JAufrecht created this task.Oct 5 2017, 8:43 PM
JAufrecht mentioned this in Unknown Object (Task).Oct 6 2017, 2:53 AM
JAufrecht moved this task from Uncategorized to Other on the WMF-CTO-Team-Backlog board.
JAufrecht updated the task description. (Show Details)Oct 26 2017, 9:50 PM
JAufrecht updated the task description. (Show Details)Nov 16 2017, 10:45 PM
JAufrecht closed this task as Resolved.Dec 22 2017, 10:26 PM
JAufrecht updated the task description. (Show Details)